%
%  Provide the features of the fiber-laser under investigation in this file
%  (save the file under the name of your choice).
%
%  - Do not modify the name of the variables !
%  - Each variable is explained in the comment following its initialization.
%  - It is of the upmost importance to initialize the variable in the unit 
%    corresponding to the SI system as indicated in the comment following
%    the initialization line. 
%

%
% Description of the fiber
Nt=0;   % Doping substance concentration [ions/m^3]
tau3=0; % Lifetime of the upper-level atoms [s]
Aeff=0; % Effective mode area [m^2]
L=0;    % fiber length [m]
%
% Description of the pump 
sigma_a_p=0; % pump absorption cross section [m^2]  
sigma_e_p=0; %  pump emission cross section [m^2]  
alpha_p=0;   % Pump background losses [m^-1]
Gamma_p=0;   % Pump overlap factor  [dimensionless quantity]
lambda_p=0;  % Pump wavelength [m]
Ppump_p=0;   % launch Pump Power at z=0  P^+_p(0)  [W]
Ppump_m=0;   % launch Pump Power at z=L   P^-_p(L) [W]
R1_p=0; % front mirror reflexivity at pump wavelength [dimensionless quantity]
R2_p=0; % output mirror reflexivity at pump wavelength [dimensionless quantity]
%
% description of the laser signal
sigma_a_s=0;  % Laser signal absorption cross section [m^2]  
sigma_e_s=0;  % Laser signal emission cross section [m^2]
alpha_s=0;    % Laser signal Pump background losses [m^-1]
Gamma_s=0;    % Laser signal overlap factor [dimensionless quantity]
lambda_s=0;   % Laser signal wavelength [m]
R1_s=0; % front mirror reflexivity at laser signal wavelength  [dimensionless quantity]
R2_s=0; % output mirror reflexivity at laser signal wavelength [dimensionless quantity]
%
% contribution of the spontaneous emission into the propagating laser mode 
P0=0; % [W]

