% 
% Example of parameter values for a Yb^{3+} doped fiber-laser 
% Values taken from the paper "Strongly Pumped Fiber Lasers"
% by Ido Kelson and Amos A. Hardy
% IEEE journal of quantum electronics, vol. 34, no. 9, 1998 
%

%
% Description of the fiber
Nt= 4E25;   % Doping substance concentration [ions/m^3]
tau3= 1E-3;   % Lifetime of the upper-level atoms [s]
Aeff=5E-11;% Effective mode area [m^2]
L=50; % fiber length [m]
%
% Description of the pump 
sigma_a_p= 6E-25  ; % pump absorption cross section [m^2]  
sigma_e_p= 2.5E-26 ;     %  pump emission cross section [m^2]  
alpha_p= 3E-3;    % Pump background losses [m^-1]
Gamma_p= 0.0012;    % Pump overlap factor  [dimensionless quantity]
lambda_p= 0.92E-6;  % Pump wavelength [m]
Ppump_p=20; % launch Pump Power at z=0  P^+_p(0)  [W]
Ppump_m=0;  % launch Pump Power at z=L   P^-_p(L) [W]
R1_p=0; % front mirror reflexivity at pump wavelength [dimensionless quantity]
R2_p=0; % output mirror reflexivity at pump wavelength [dimensionless quantity]
%
% description of the laser signal
sigma_a_s= 1.4E-27;  % Laser signal absorption cross section [m^2]  
sigma_e_s= 2E-25; % Laser signal emission cross section [m^2]
alpha_s= 5E-3;      % Laser signal Pump background losses [m^-1]
Gamma_s=0.8;      % Laser signal overlap factor [dimensionless quantity]
lambda_s= 1.09E-6;  % Laser signal wavelength [m]
R1_s=0.98; % front end mirror reflexivity at laser signal wavelength  [dimensionless quantity]
R2_s=0.04; % output mirror reflexivity at laser signal wavelength [dimensionless quantity]
%
% contribution of the spontaneous emission into the propagating laser mode 
P0=0; % [W]

